GLI 0.5.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | List of all members
texture2DArray Class Reference

## Public Types
typedef storage::dimensions2_type | dimensions_type
typedef gli::format | format_type
typedef storage::size_type | size_type
typedef storage::texcoord3_type | texcoord_type

## Public Member Functions
size_type | baseFace () const
size_type | baseLayer () const
size_type | baseLevel () const
void | clear ()
template<typename genType >
void | clear (genType const &Texel)
void * | data ()
void const * | data () const
template<typename genType >
genType * | data ()
template<typename genType >
genType const * | data () const
dimensions_type | dimensions () const
bool | empty () const
size_type | faces () const
format_type | format () const
size_type | layers () const
size_type | levels () const
size_type | maxFace () const
size_type | maxLayer () const
size_type | maxLevel () const
| operator storage () const
texture2D | operator[] (size_type const &Layer) const
size_type | size () const
template<typename genType >
size_type | size () const
| texture2DArray ()
| texture2DArray (size_type const &Layers, size_type const &Levels, format_type const &Format, dimensions_type const &Dimensions)
| texture2DArray (size_type const &Layers, format_type const &Format, dimensions_type const &Dimensions)
| texture2DArray (storage const &Storage)
| texture2DArray (storage const &Storage, format_type const &Format, size_type BaseLayer, size_type MaxLayer, size_type BaseFace, size_type MaxFace, size_type BaseLevel, size_type MaxLevel)
| texture2DArray (texture2DArray const &Texture, size_type const &BaseLayer, size_type const &MaxLayer, size_type const &BaseLevel, size_type const &MaxLevel)
| texture2DArray (texture2D const &Texture, size_type const &BaseLevel, size_type const &MaxLevel)

## Detailed Description

Definition at line 36 of file texture2d_array.hpp.

## Member Typedef Documentation

typedef storage::dimensions2_type dimensions_type

Definition at line 39 of file texture2d_array.hpp.

typedef gli::format format_type

Definition at line 42 of file texture2d_array.hpp.

typedef storage::size_type size_type

Definition at line 41 of file texture2d_array.hpp.

typedef storage::texcoord3_type texcoord_type

Definition at line 40 of file texture2d_array.hpp.

## Constructor & Destructor Documentation

texture2DArray | ( |  | ) |

texture2DArray | ( | size_type const & | Layers,
|  | size_type const & | Levels,
|  | format_type const & | Format,
|  | dimensions_type const & | Dimensions
| ) |  |
| explicit

Create a texture2DArray and allocate a new storage.

texture2DArray | ( | size_type const & | Layers,
|  | format_type const & | Format,
|  | dimensions_type const & | Dimensions
| ) |  |
| explicit

Create a texture2DArray and allocate a new storage with a complete mipmap chain.

texture2DArray | ( | storage const & | Storage | ) |
| explicit

Create a texture2DArray view with an existing storage.

texture2DArray | ( | storage const & | Storage,
|  | format_type const & | Format,
|  | size_type | BaseLayer,
|  | size_type | MaxLayer,
|  | size_type | BaseFace,
|  | size_type | MaxFace,
|  | size_type | BaseLevel,
|  | size_type | MaxLevel
| ) |  |
| explicit

Create a texture2DArray view with an existing storage.

texture2DArray | ( | texture2DArray const & | Texture,
|  | size_type const & | BaseLayer,
|  | size_type const & | MaxLayer,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture view, reference a subset of an exiting texture2DArray instance.

texture2DArray | ( | texture2D const & | Texture,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  |
| explicit

Create a texture view, reference a subset of an exiting texture2D instance.

## Member Function Documentation

size_type baseFace | ( |  | ) | const

size_type baseLayer | ( |  | ) | const

size_type baseLevel | ( |  | ) | const

void clear | ( |  | ) |

void clear | ( | genType const & | Texel | ) |

void* data | ( |  | ) |

void const* data | ( |  | ) | const

genType* data | ( |  | ) |

genType const* data | ( |  | ) | const

dimensions_type dimensions | ( |  | ) | const

bool empty | ( |  | ) | const

size_type faces | ( |  | ) | const

format_type format | ( |  | ) | const

size_type layers | ( |  | ) | const

size_type levels | ( |  | ) | const

size_type maxFace | ( |  | ) | const

size_type maxLayer | ( |  | ) | const

size_type maxLevel | ( |  | ) | const

operator storage | ( |  | ) | const

texture2D operator[] | ( | size_type const & | Layer | ) | const

size_type size | ( |  | ) | const

size_type size | ( |  | ) | const